import $ from 'jquery';

/**
 * Toggle a class name on an element based on the window's scroll position.
 * @param options
 */
$.fn.toggleClassOnScroll = function (options) {
	// Default settings.
	let settings = $.extend({}, {
		className: 'alt-state',
		offset: 400
	}, options);

	// Toggle class name on scroll.
	window.addEventListener('scroll', toggleClass);

	// Toggle class name.
	function toggleClass() {
		document.body.classList.toggle(settings.className, window.pageYOffset >= settings.offset);
	}
};
